gnutls_certificate_set_openpgp_key(3)

NAME
gnutls_certificate_set_openpgp_key - Used to set keys in a gnutls_certificate_credentials_t structure

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_certificate_set_openpgp_key(gnutls_certificate_credentials_t res, gnutls_openpgp_crt_t crt, gnutls_openpgp_privkey_t pkey);

ARGUMENTS

gnutls_certificate_credentials_t res
    is a gnutls_certificate_credentials_t structure.

gnutls_openpgp_crt_t crt

gnutls_openpgp_privkey_t pkey
    is an openpgp private key

DESCRIPTION
This function sets a certificate/private key pair in the gnutls_certificate_credentials_t structure. This function may be called more than once (in case multiple keys/certificates exist for the server).

With this function the subkeys of the certificate are not used.

RETURNS
On success, GNUTLS_E_SUCCESS (zero) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.